
Base Distribution - Task # 44683

Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2013-01-21 Assigned To: Christopher Hlubek
Updated: 2013-01-24 Due date:
Subject: Image upload of some filetypes is not working, button "Upload!" is disfunctional
Description

Associated revisions
Revision 076b0c05 - 2013-01-22 11:42 - Christopher Hlubek

[BUGFIX] Show image upload errors and disable upload for wrong types

When selecting images that do not match the accepted filetype of the
uploader an error is shown and the upload button is disabled.

Additionally the image extensions "jpeg" and "gif" are supported.

Change-Id: I7b162b32030e9e264dc9be9567f853a17b29c372
Resolves: #44683

History
#1 - 2013-01-21 09:44 - Christopher Hlubek
- Priority changed from Should have to Must have

#2 - 2013-01-21 15:40 - Mattias Nilsson
- File Screen_Shot_2013-01-21_at_3.35.04_PM.png added
- File Screen_Shot_2013-01-21_at_3.34.23_PM.png added
- Assigned To set to Christopher Hlubek

Hi Christopher,

I have just tried to upload an image in the latest master from GIT. It worked out perfectly for me using the latest version of Firefox and Google Chrome.

Take a look a the attached screenshot I made.

/Mattias

#3 - 2013-01-21 15:42 - Christopher Hlubek

Hi Mattias,

thx I'll have a look at the problem again. The "Upload!" button just didn't work because the file list was empty on upload after choosing an image.

#4 - 2013-01-22 11:06 - Christopher Hlubek
- Subject changed from Image upload is not working, button "Upload!" is disfunctional to Image upload of some filetypes is not working, button 
"Upload!" is disfunctional
- Priority changed from Must have to Should have

Well it was my image extension (.jpeg) that was not accepted and did not show any visible error. So I rephrased the issue description.

With another image the upload worked as expected.

#5 - 2013-01-22 11:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17648

#6 - 2013-01-22 11:41 - Christopher Hlubek
- Status changed from New to Under Review

#7 - 2013-01-22 11:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17648

#8 - 2013-01-24 09:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:076b0c05d4b5e36194285838335260a8c02bd540.
